Subject: bug#12778: Failure when running check-root make target

From: Andrew Warshall <[email-masked]>
Date: Mon, 5 Nov 2012 11:30:32 -0500

On Mon, 5 Nov 2012 16:22:37 +0000
"Voelker, Bernhard" <[email-masked]> wrote:
> Well, I don't mind. Actually, I find it more important to know
> whether gnulib tests should be run as root or not: are the gnulib
> tests secure enough to be run as root? I don't know, but I don't
> think a dependant project like coreutils should run them as root.

Since gnulib does no releases of its own, though, the only way its
tests get run is through its dependent projects. I don't know of an
easy way to run the tests excluding gnulib.

In any event, the getlogin test doesn't need to be run as root (in
fact, I'm not sure why you'd want to). So a) something strange is
happening and b) I'd like to know whom it's happening to (i.e. what's
different about our setups from everyone else's). I find it hard to
believe that noone else is using the current version of GNU make.

                   -Andrew Warshall